<template>
    <div class="composer">
        <textarea v-model="message" @keyup.enter="sendMessage" placeholder="Type your message..."></textarea>
        <button @click="sendMessage">Send</button>
    </div>
</template>

<script>
export default {
    data() {
        return {
            message: '',
        };
    },
    methods: {
        sendMessage(e) {
            e.preventDefault();
            if (this.message) {
                this.$emit('sendMessage', this.message);
                this.message = '';
            }
        },
    },
}
</script>

<style lang="scss" scoped>
.composer {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    padding: 1rem;
    textarea {
        flex: 1;
        border: 1px solid #e6e6e6;
        border-radius: 3px;
        padding: 0.5rem;
        font-size: 1rem;
        resize: none;
        height: 3rem;
    }
    button {
        flex: 0;
        border: none;
        background-color: #2196f3;
        color: #fff;
        font-size: 1rem;
        padding: 0.5rem;
        border-radius: 3px;
        cursor: pointer;
    }
}
</style>
